Subject: Re: bug#47937: 27.1; Invisible text property updated only for a portion of buffer

From: Arthur Miller <[email-masked]>
Date: Wed, 21 Apr 2021 22:10:45 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 21 Apr 2021 22:02:02 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> > From: Arthur Miller <[email-masked]>
>> > Cc: [email-masked]
>> > Date: Wed, 21 Apr 2021 20:40:31 +0200
>> > 
>> > > They are not processed because there's no invisible property there.
>> > 
>> > Why does it work on visible portion of the buffer, but not on the rest?
>> 
>> Because you have font-lock-mode turned on.  And JIT font-lock begins
>> by wiping out all the text properties.
>
> I should clarify this, I guess: this is specific to Org buffers, see
> org-unfontify-region.  And "all text properties" is an exaggeration:
> it removes many properties, but not all of them.

Allright, thank you for the excellent clarification. I guess I should go
for custom visibility spec instead of plain invisible property, so that
my text property survive font lock.

Please close the bug and thanks.